{% extends 'base.html' %}
{% load static %}
{% block meta %}
<title>Search Country about Covid</title>
<link rel="stylesheet" href="{% static 'HoaxSpreader/css/styles.css' %}">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $('.input-keyword').keypress((e) => {
    if (e.which == 13) {
      proses()
    }
  })
}); 

$(document).ready(function(){
  $("button").click(function(){
    proses()
  });
}); 

function proses() {
  $.ajax({url: "http://api.covid19api.com/country/"+ $('.input-keyword').val(), success: function(result){
      $("#div1").html(result[result.length-1].Date);
      $("#div12").html(result[result.length-1].Country);
      $("#div2").html(result[result.length-1].Confirmed);
      $("#div3").html(result[result.length-1].Deaths);
      $("#div4").html(result[result.length-1].Recovered);
      $("#div5").html(result[result.length-1].Active);
  }});
}
</script>
{% endblock meta %}
{% block content %}  
<body class=""> 
<div class="wrapper col-12">        
    <div class="d-flex flex-column justify-content-start align-items-center py-5 col-lg-8 mx-auto">
      <div>Input nama negara dengan lengkap dalam bahasa Inggris.</div>
      <div>Gunakan - utk pengganti spasi, misalnya: south-korea</div>
      <br>
      <div class="input-group mb-1 col-md-7 px-0">
        <input type="text" class="form-control input-keyword" placeholder="Nama negara" aria-label="Nama negara"
          aria-describedby="button-addon2">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary btn-search text-dark search-button" type="button" id="button-addon2">
            Search
          </button>
        </div>
      </div>
      <div><b>Last Update:</b></div>
      <div id="div1"><h2></h2></div>
      <div><b>Country:</b></div>
      <div id="div12"><h2></h2></div>
      <div><b>Confirmed:</b></div>
      <div id="div2"><h2></h2></div>
      <div><b>Deaths:</b></div>
      <div id="div3"><h2></h2></div>
      <div><b>Recovered:</b></div>
      <div id="div4"><h2></h2></div>
      <div><b>Active:</b></div>
      <div id="div5"><h2></h2></div>
      <br>
      <div>Jika kamu ingin melihat list inputan nama negara,</div>
        <a href="{% url 'HoaxSpreader:listCountry' %}">
            <button type="button" class="btn btn-lg btn-primary">Click here</button>
        </a>
        <a href="{% url 'HoaxSpreader:home' %}">
          <button type="button" class="btn btn-lg btn-primary">Kembali ke HoaxSpreader</button>
      </a>
    </div>
    </div>

    
</div>



</body> 
{% endblock content %}
